# QIntValidator Class Reference

The QIntValidator class provides range checking of integers. More...

`#include <qvalidator.h>`

Inherits QValidator.

List of all member functions.

## Public Members

- QIntValidator ( QWidget * parent, const char * name = 0 )
- QIntValidator ( int bottom, int top, QWidget * parent, const char * name = 0 )
- ~QIntValidator ()
- virtual QValidator::State validate ( QString &, int & )
- virtual void setRange ( int bottom, int top )
- int bottom () const
- int top () const

## Detailed Description

The QIntValidator class provides range checking of integers.

QIntValidator provides a lower and an upper bound. It does not provide a fixup() function.

See also: QDoubleValidator.

## Member Function Documentation

### QIntValidator::QIntValidator ( QWidget * parent, const char * name = 0 )

Creates a validator object which accepts all integers.

### QIntValidator::QIntValidator ( int bottom, int top, QWidget * parent, const char * name = 0 )

Creates a validator object which accepts all integers from bottom up to and including top.

### QIntValidator::~QIntValidator ()

Deletes the validator and frees up any storage used.

### int QIntValidator::bottom () const

Returns the lowest valid number according to this validator.

See also: top() and setRange().

### void QIntValidator::setRange ( int bottom, int top ) `[virtual]`

Sets the validator to accept only number from bottom up to an including top.

### int QIntValidator::top () const

Returns the highest valid number according to this validator.

See also: bottom() and setRange().

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qvalidator.h: 1998/08/19
- qvalidator.cpp: 1998/07/03